com.intellectualcrafters.plot.config

## Class Settings.DB

- java.lang.Object
- - com.intellectualcrafters.plot.config.Settings.DB

- Enclosing class:
    Settings

      public static class Settings.DB
      extends java.lang.Object

  Database settings

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `DATABASE` MySQL DB
    `static java.lang.String` | `HOST_NAME` MySQL Host name
    `static java.lang.String` | `PASSWORD` MySQL Password
    `static java.lang.String` | `PORT` MySQL Port
    `static java.lang.String` | `PREFIX` MySQL Prefix
    `static java.lang.String` | `SQLITE_DB` SQLite Database name
    `static boolean` | `USE_MONGO` MongoDB enabled?
    `static boolean` | `USE_MYSQL` MySQL Enabled?
    `static boolean` | `USE_SQLITE` SQLite enabled?
    `static java.lang.String` | `USER` MySQL User

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Settings.DB()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### USE_MONGO

          public static boolean USE_MONGO

      MongoDB enabled?

    - #### USE_SQLITE

          public static boolean USE_SQLITE

      SQLite enabled?

    - #### USE_MYSQL

          public static boolean USE_MYSQL

      MySQL Enabled?

    - #### SQLITE_DB

          public static java.lang.String SQLITE_DB

      SQLite Database name

    - #### HOST_NAME

          public static java.lang.String HOST_NAME

      MySQL Host name

    - #### PORT

          public static java.lang.String PORT

      MySQL Port

    - #### DATABASE

          public static java.lang.String DATABASE

      MySQL DB

    - #### USER

          public static java.lang.String USER

      MySQL User

    - #### PASSWORD

          public static java.lang.String PASSWORD

      MySQL Password

    - #### PREFIX

          public static java.lang.String PREFIX

      MySQL Prefix

  - ### Constructor Detail

    - #### Settings.DB

          public Settings.DB()